Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network149.2.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
149.2.32.0
Broadcast address
149.2.47.255
First usable
149.2.32.1
Last usable
149.2.47.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex 95022000 · Integer 2499944448 to 2499948543
Reverse DNS zones
32.2.149.in-addr.arpa
33.2.149.in-addr.arpa
34.2.149.in-addr.arpa
35.2.149.in-addr.arpa
36.2.149.in-addr.arpa
37.2.149.in-addr.arpa
38.2.149.in-addr.arpa
39.2.149.in-addr.arpa
40.2.149.in-addr.arpa
41.2.149.in-addr.arpa
42.2.149.in-addr.arpa
43.2.149.in-addr.arpa
44.2.149.in-addr.arpa
45.2.149.in-addr.arpa
46.2.149.in-addr.arpa
47.2.149.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010101.00000010.00100000.00000000149.2.32.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10010101.00000010.00100000.00000000149.2.32.0
Broadcast10010101.00000010.00101111.11111111149.2.47.255
Split into smaller subnets/27

149.2.32.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1149.2.32.0/27149.2.32.1 to 149.2.32.30149.2.32.3130
2149.2.32.32/27149.2.32.33 to 149.2.32.62149.2.32.6330
3149.2.32.64/27149.2.32.65 to 149.2.32.94149.2.32.9530
4149.2.32.96/27149.2.32.97 to 149.2.32.126149.2.32.12730
5149.2.32.128/27149.2.32.129 to 149.2.32.158149.2.32.15930
6149.2.32.160/27149.2.32.161 to 149.2.32.190149.2.32.19130
7149.2.32.192/27149.2.32.193 to 149.2.32.222149.2.32.22330
8149.2.32.224/27149.2.32.225 to 149.2.32.254149.2.32.25530
9149.2.33.0/27149.2.33.1 to 149.2.33.30149.2.33.3130
10149.2.33.32/27149.2.33.33 to 149.2.33.62149.2.33.6330
11149.2.33.64/27149.2.33.65 to 149.2.33.94149.2.33.9530
12149.2.33.96/27149.2.33.97 to 149.2.33.126149.2.33.12730
13149.2.33.128/27149.2.33.129 to 149.2.33.158149.2.33.15930
14149.2.33.160/27149.2.33.161 to 149.2.33.190149.2.33.19130
15149.2.33.192/27149.2.33.193 to 149.2.33.222149.2.33.22330
16149.2.33.224/27149.2.33.225 to 149.2.33.254149.2.33.25530
17149.2.34.0/27149.2.34.1 to 149.2.34.30149.2.34.3130
18149.2.34.32/27149.2.34.33 to 149.2.34.62149.2.34.6330
19149.2.34.64/27149.2.34.65 to 149.2.34.94149.2.34.9530
20149.2.34.96/27149.2.34.97 to 149.2.34.126149.2.34.12730
21149.2.34.128/27149.2.34.129 to 149.2.34.158149.2.34.15930
22149.2.34.160/27149.2.34.161 to 149.2.34.190149.2.34.19130
23149.2.34.192/27149.2.34.193 to 149.2.34.222149.2.34.22330
24149.2.34.224/27149.2.34.225 to 149.2.34.254149.2.34.25530
25149.2.35.0/27149.2.35.1 to 149.2.35.30149.2.35.3130
26149.2.35.32/27149.2.35.33 to 149.2.35.62149.2.35.6330
27149.2.35.64/27149.2.35.65 to 149.2.35.94149.2.35.9530
28149.2.35.96/27149.2.35.97 to 149.2.35.126149.2.35.12730
29149.2.35.128/27149.2.35.129 to 149.2.35.158149.2.35.15930
30149.2.35.160/27149.2.35.161 to 149.2.35.190149.2.35.19130
31149.2.35.192/27149.2.35.193 to 149.2.35.222149.2.35.22330
32149.2.35.224/27149.2.35.225 to 149.2.35.254149.2.35.25530
33149.2.36.0/27149.2.36.1 to 149.2.36.30149.2.36.3130
34149.2.36.32/27149.2.36.33 to 149.2.36.62149.2.36.6330
35149.2.36.64/27149.2.36.65 to 149.2.36.94149.2.36.9530
36149.2.36.96/27149.2.36.97 to 149.2.36.126149.2.36.12730
37149.2.36.128/27149.2.36.129 to 149.2.36.158149.2.36.15930
38149.2.36.160/27149.2.36.161 to 149.2.36.190149.2.36.19130
39149.2.36.192/27149.2.36.193 to 149.2.36.222149.2.36.22330
40149.2.36.224/27149.2.36.225 to 149.2.36.254149.2.36.25530
41149.2.37.0/27149.2.37.1 to 149.2.37.30149.2.37.3130
42149.2.37.32/27149.2.37.33 to 149.2.37.62149.2.37.6330
43149.2.37.64/27149.2.37.65 to 149.2.37.94149.2.37.9530
44149.2.37.96/27149.2.37.97 to 149.2.37.126149.2.37.12730
45149.2.37.128/27149.2.37.129 to 149.2.37.158149.2.37.15930
46149.2.37.160/27149.2.37.161 to 149.2.37.190149.2.37.19130
47149.2.37.192/27149.2.37.193 to 149.2.37.222149.2.37.22330
48149.2.37.224/27149.2.37.225 to 149.2.37.254149.2.37.25530
49149.2.38.0/27149.2.38.1 to 149.2.38.30149.2.38.3130
50149.2.38.32/27149.2.38.33 to 149.2.38.62149.2.38.6330
51149.2.38.64/27149.2.38.65 to 149.2.38.94149.2.38.9530
52149.2.38.96/27149.2.38.97 to 149.2.38.126149.2.38.12730
53149.2.38.128/27149.2.38.129 to 149.2.38.158149.2.38.15930
54149.2.38.160/27149.2.38.161 to 149.2.38.190149.2.38.19130
55149.2.38.192/27149.2.38.193 to 149.2.38.222149.2.38.22330
56149.2.38.224/27149.2.38.225 to 149.2.38.254149.2.38.25530
57149.2.39.0/27149.2.39.1 to 149.2.39.30149.2.39.3130
58149.2.39.32/27149.2.39.33 to 149.2.39.62149.2.39.6330
59149.2.39.64/27149.2.39.65 to 149.2.39.94149.2.39.9530
60149.2.39.96/27149.2.39.97 to 149.2.39.126149.2.39.12730
61149.2.39.128/27149.2.39.129 to 149.2.39.158149.2.39.15930
62149.2.39.160/27149.2.39.161 to 149.2.39.190149.2.39.19130
63149.2.39.192/27149.2.39.193 to 149.2.39.222149.2.39.22330
64149.2.39.224/27149.2.39.225 to 149.2.39.254149.2.39.25530
65149.2.40.0/27149.2.40.1 to 149.2.40.30149.2.40.3130
66149.2.40.32/27149.2.40.33 to 149.2.40.62149.2.40.6330
67149.2.40.64/27149.2.40.65 to 149.2.40.94149.2.40.9530
68149.2.40.96/27149.2.40.97 to 149.2.40.126149.2.40.12730
69149.2.40.128/27149.2.40.129 to 149.2.40.158149.2.40.15930
70149.2.40.160/27149.2.40.161 to 149.2.40.190149.2.40.19130
71149.2.40.192/27149.2.40.193 to 149.2.40.222149.2.40.22330
72149.2.40.224/27149.2.40.225 to 149.2.40.254149.2.40.25530
73149.2.41.0/27149.2.41.1 to 149.2.41.30149.2.41.3130
74149.2.41.32/27149.2.41.33 to 149.2.41.62149.2.41.6330
75149.2.41.64/27149.2.41.65 to 149.2.41.94149.2.41.9530
76149.2.41.96/27149.2.41.97 to 149.2.41.126149.2.41.12730
77149.2.41.128/27149.2.41.129 to 149.2.41.158149.2.41.15930
78149.2.41.160/27149.2.41.161 to 149.2.41.190149.2.41.19130
79149.2.41.192/27149.2.41.193 to 149.2.41.222149.2.41.22330
80149.2.41.224/27149.2.41.225 to 149.2.41.254149.2.41.25530
81149.2.42.0/27149.2.42.1 to 149.2.42.30149.2.42.3130
82149.2.42.32/27149.2.42.33 to 149.2.42.62149.2.42.6330
83149.2.42.64/27149.2.42.65 to 149.2.42.94149.2.42.9530
84149.2.42.96/27149.2.42.97 to 149.2.42.126149.2.42.12730
85149.2.42.128/27149.2.42.129 to 149.2.42.158149.2.42.15930
86149.2.42.160/27149.2.42.161 to 149.2.42.190149.2.42.19130
87149.2.42.192/27149.2.42.193 to 149.2.42.222149.2.42.22330
88149.2.42.224/27149.2.42.225 to 149.2.42.254149.2.42.25530
89149.2.43.0/27149.2.43.1 to 149.2.43.30149.2.43.3130
90149.2.43.32/27149.2.43.33 to 149.2.43.62149.2.43.6330
91149.2.43.64/27149.2.43.65 to 149.2.43.94149.2.43.9530
92149.2.43.96/27149.2.43.97 to 149.2.43.126149.2.43.12730
93149.2.43.128/27149.2.43.129 to 149.2.43.158149.2.43.15930
94149.2.43.160/27149.2.43.161 to 149.2.43.190149.2.43.19130
95149.2.43.192/27149.2.43.193 to 149.2.43.222149.2.43.22330
96149.2.43.224/27149.2.43.225 to 149.2.43.254149.2.43.25530
97149.2.44.0/27149.2.44.1 to 149.2.44.30149.2.44.3130
98149.2.44.32/27149.2.44.33 to 149.2.44.62149.2.44.6330
99149.2.44.64/27149.2.44.65 to 149.2.44.94149.2.44.9530
100149.2.44.96/27149.2.44.97 to 149.2.44.126149.2.44.12730
101149.2.44.128/27149.2.44.129 to 149.2.44.158149.2.44.15930
102149.2.44.160/27149.2.44.161 to 149.2.44.190149.2.44.19130
103149.2.44.192/27149.2.44.193 to 149.2.44.222149.2.44.22330
104149.2.44.224/27149.2.44.225 to 149.2.44.254149.2.44.25530
105149.2.45.0/27149.2.45.1 to 149.2.45.30149.2.45.3130
106149.2.45.32/27149.2.45.33 to 149.2.45.62149.2.45.6330
107149.2.45.64/27149.2.45.65 to 149.2.45.94149.2.45.9530
108149.2.45.96/27149.2.45.97 to 149.2.45.126149.2.45.12730
109149.2.45.128/27149.2.45.129 to 149.2.45.158149.2.45.15930
110149.2.45.160/27149.2.45.161 to 149.2.45.190149.2.45.19130
111149.2.45.192/27149.2.45.193 to 149.2.45.222149.2.45.22330
112149.2.45.224/27149.2.45.225 to 149.2.45.254149.2.45.25530
113149.2.46.0/27149.2.46.1 to 149.2.46.30149.2.46.3130
114149.2.46.32/27149.2.46.33 to 149.2.46.62149.2.46.6330
115149.2.46.64/27149.2.46.65 to 149.2.46.94149.2.46.9530
116149.2.46.96/27149.2.46.97 to 149.2.46.126149.2.46.12730
117149.2.46.128/27149.2.46.129 to 149.2.46.158149.2.46.15930
118149.2.46.160/27149.2.46.161 to 149.2.46.190149.2.46.19130
119149.2.46.192/27149.2.46.193 to 149.2.46.222149.2.46.22330
120149.2.46.224/27149.2.46.225 to 149.2.46.254149.2.46.25530
121149.2.47.0/27149.2.47.1 to 149.2.47.30149.2.47.3130
122149.2.47.32/27149.2.47.33 to 149.2.47.62149.2.47.6330
123149.2.47.64/27149.2.47.65 to 149.2.47.94149.2.47.9530
124149.2.47.96/27149.2.47.97 to 149.2.47.126149.2.47.12730
125149.2.47.128/27149.2.47.129 to 149.2.47.158149.2.47.15930
126149.2.47.160/27149.2.47.161 to 149.2.47.190149.2.47.19130
127149.2.47.192/27149.2.47.193 to 149.2.47.222149.2.47.22330
128149.2.47.224/27149.2.47.225 to 149.2.47.254149.2.47.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses